## r-cran-purrr 0.2.4

=== DESCRIPTION ===
Package: purrr
Title: Functional Programming Tools
Version: 0.2.4
Authors@R: c(
    person("Lionel", "Henry", , "lionel@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("RStudio", role = c("cph", "fnd"))
    )
Description: A complete and consistent functional programming toolkit for R.
License: GPL-3 | file LICENSE
URL: http://purrr.tidyverse.org, https://github.com/tidyverse/purrr
BugReports: https://github.com/tidyverse/purrr/issues
Depends: R (>= 3.1)
Imports: magrittr (>= 1.5), rlang (>= 0.1), tibble
Suggests: covr, dplyr (>= 0.4.3), knitr, rmarkdown, testthat
VignetteBuilder: knitr
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-10-18 13:06:58 UTC; hadley
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2017-10-18 20:19:51 UTC

## r-cran-purrr 0.2.3

=== debian/changelog ===
r-cran-purrr (0.2.3-1) unstable; urgency=medium

  * Initial release (closes: #878406)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 14:26:44 +0200

=== debian/control ===
Source: r-cran-purrr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-tibble,
               r-cran-rlang
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-purrr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-purrr.git
Homepage: https://cran.r-project.org/package=purrr

Package: r-cran-purrr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functional programming tools
 This package provides a complete and consistent functional programming
 toolkit for GNU R.

## r-cran-purrr 0.2.4

=== debian/changelog ===
r-cran-purrr (0.2.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * debhelper (>= 11~)

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jan 2018 09:15:18 +0100

r-cran-purrr (0.2.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Sat, 13 Jan 2018 18:43:29 +0100

r-cran-purrr (0.2.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Thu, 21 Dec 2017 15:29:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-magrittr,
                r-cran-tibble,
                r-cran-rlang
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-purrr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr

## r-cran-purrr 0.2.5

=== debian/changelog ===
r-cran-purrr (0.2.5-1build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 01 Jun 2018 21:17:24 +0000

r-cran-purrr (0.2.5-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 30 May 2018 08:31:45 +0200

=== debian/control ===
Source: r-cran-purrr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-magrittr,
               r-cran-rlang,
               r-cran-tibble
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
Homepage: https://cran.r-project.org/package=purrr

Package: r-cran-purrr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R functional programming tools
 This package provides a complete and consistent functional programming
 toolkit for GNU R.

## r-cran-purrr 0.3.0

=== DESCRIPTION ===
Package: purrr
Title: Functional Programming Tools
Version: 0.3.0
Authors@R: c(
    person("Lionel", "Henry", , "lionel@rstudio.com", c("aut", "cre")),
    person("Hadley", "Wickham", , "hadley@rstudio.com", "aut"),
    person("RStudio", role = c("cph", "fnd"))
    )
Description: A complete and consistent functional programming toolkit for R.
License: GPL-3 | file LICENSE
URL: http://purrr.tidyverse.org, https://github.com/tidyverse/purrr
BugReports: https://github.com/tidyverse/purrr/issues
Depends: R (>= 3.1)
Imports: magrittr (>= 1.5), rlang (>= 0.3.1)
Suggests: covr, crayon, dplyr (>= 0.7.8), knitr, rmarkdown, testthat,
        tibble, tidyselect
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
NeedsCompilation: yes
Packaged: 2019-01-25 18:43:42 UTC; lionel
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2019-01-27 16:40:03 UTC

=== debian/changelog ===
r-cran-purrr (0.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Test-Depends: r-cran-dplyr

 -- Dylan Aïssi <daissi@debian.org>  Wed, 30 Jan 2019 08:03:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-magrittr,
-               r-cran-rlang,
-               r-cran-tibble
-Standards-Version: 4.1.4
+               r-cran-rlang (>= 0.3.1)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr

## r-cran-purrr 0.3.2

=== debian/changelog ===
r-cran-purrr (0.3.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.0
  * Enhance description

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 16:00:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-r,
                r-base-dev,
                r-cran-magrittr,
-               r-cran-rlang (>= 0.3.1)
-Standards-Version: 4.3.0
+               r-cran-rlang
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr
@@ -24,3 +24,12 @@
 Description: GNU R functional programming tools
  This package provides a complete and consistent functional programming
  toolkit for GNU R.
+ .
+ Purrr draws inspiration from many related tools:
+ .
+   * List operations defined in the Haskell prelude
+   * Scala's list methods.
+   * Functional programming libraries for javascript: underscore.js, lodash
+     and lazy.js.
+   * rlist, another R package to support working with lists. Similar goals
+     but somewhat different philosophy.

## r-cran-purrr 0.3.3

=== debian/changelog ===
r-cran-purrr (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 23:00:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-magrittr,
                r-cran-rlang
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr

## r-cran-purrr 0.3.4

=== DESCRIPTION ===
Package: purrr
Title: Functional Programming Tools
Version: 0.3.4
Authors@R: 
    c(person(given = "Lionel",
             family = "Henry",
             role = c("aut", "cre"),
             email = "lionel@rstudio.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "RStudio",
             role = c("cph", "fnd")))
Description: A complete and consistent functional programming
    toolkit for R.
License: GPL-3 | file LICENSE
URL: http://purrr.tidyverse.org, https://github.com/tidyverse/purrr
BugReports: https://github.com/tidyverse/purrr/issues
Depends: R (>= 3.2)
Imports: magrittr (>= 1.5), rlang (>= 0.3.1)
Suggests: covr, crayon, dplyr (>= 0.7.8), knitr, rmarkdown, testthat,
        tibble, tidyselect
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.0
NeedsCompilation: yes
Packaged: 2020-04-16 21:54:48 UTC; hadley
Author: Lionel Henry [aut, cre],
  Hadley Wickham [aut],
  RStudio [cph, fnd]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2020-04-17 12:10:07 UTC

=== debian/changelog ===
r-cran-purrr (0.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 18 Apr 2020 22:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                r-base-dev,
                r-cran-magrittr,
                r-cran-rlang
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr
+Rules-Requires-Root: no
 
 Package: r-cran-purrr
 Architecture: any

## r-cran-purrr 0.3.4-1

=== debian/changelog ===
r-cran-purrr (0.3.4-1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Nov 2022 07:20:31 +0800

## r-cran-purrr 1.0.1

=== DESCRIPTION ===
Package: purrr
Title: Functional Programming Tools
Version: 1.0.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Lionel", "Henry", , "lionel@rstudio.com", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: A complete and consistent functional programming toolkit for
    R.
License: MIT + file LICENSE
URL: https://purrr.tidyverse.org/, https://github.com/tidyverse/purrr
BugReports: https://github.com/tidyverse/purrr/issues
Depends: R (>= 3.4.0)
Imports: cli (>= 3.4.0), lifecycle (>= 1.0.3), magrittr (>= 1.5.0),
        rlang (>= 0.4.10), vctrs (>= 0.5.0)
Suggests: covr, dplyr (>= 0.7.8), httr, knitr, lubridate, rmarkdown,
        testthat (>= 3.0.0), tibble, tidyselect
LinkingTo: cli
VignetteBuilder: knitr
Biarch: true
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-01-09 14:36:20 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Lionel Henry [aut],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2023-01-10 14:40:02 UTC

=== debian/changelog ===
r-cran-purrr (1.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:23:31 +0100

r-cran-purrr (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add all Suggests from DESCRIPTON to Test-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2022 06:29:07 +0100

r-cran-purrr (0.3.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 13:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: r-cran-purrr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev,
-               r-cran-magrittr,
-               r-cran-rlang
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli (>= 3.4.0),
+               r-cran-lifecycle (>= 1.0.3),
+               r-cran-magrittr (>= 1.5.0),
+               r-cran-rlang (>= 0.4.10),
+               r-cran-vctrs (>= 0.5.0)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-purrr
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, 
         r-cran-covr, 
         r-cran-dplyr,
         r-cran-httr,
         r-cran-knitr,
         r-cran-lubridate,
         r-cran-rmarkdown,
         r-cran-testthat,
         r-cran-tibble,
         r-cran-tidyselect
Restrictions: allow-stderr

## r-cran-purrr 1.0.2

=== DESCRIPTION ===
Package: purrr
Title: Functional Programming Tools
Version: 1.0.2
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Lionel", "Henry", , "lionel@rstudio.com", role = "aut"),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: A complete and consistent functional programming toolkit for
    R.
License: MIT + file LICENSE
URL: https://purrr.tidyverse.org/, https://github.com/tidyverse/purrr
BugReports: https://github.com/tidyverse/purrr/issues
Depends: R (>= 3.5.0)
Imports: cli (>= 3.6.1), lifecycle (>= 1.0.3), magrittr (>= 1.5.0),
        rlang (>= 1.1.1), vctrs (>= 0.6.3)
Suggests: covr, dplyr (>= 0.7.8), httr, knitr, lubridate, rmarkdown,
        testthat (>= 3.0.0), tibble, tidyselect
LinkingTo: cli
VignetteBuilder: knitr
Biarch: true
Config/Needs/website: tidyverse/tidytemplate, tidyr
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-08-08 16:13:31 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Lionel Henry [aut],
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2023-08-10 08:20:07 UTC

=== debian/changelog ===
r-cran-purrr (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 13:52:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: r-cran-purrr
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-cli (>= 3.6.1),
+               r-cran-lifecycle (>= 1.0.3),
+               r-cran-magrittr,
+               r-cran-rlang (>= 1.1.1),
+               r-cran-vctrs (>= 0.6.3)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-cli (>= 3.4.0),
-               r-cran-lifecycle (>= 1.0.3),
-               r-cran-magrittr (>= 1.5.0),
-               r-cran-rlang (>= 0.4.10),
-               r-cran-vctrs (>= 0.5.0)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-purrr
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/purrr_([-\d.]*)\.tar\.gz

## r-cran-purrr 1.0.4

=== DESCRIPTION ===
Package: purrr
Title: Functional Programming Tools
Version: 1.0.4
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Lionel", "Henry", , "lionel@posit.co", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"),
           comment = c(ROR = "03wc8by49"))
  )
Description: A complete and consistent functional programming toolkit for
    R.
License: MIT + file LICENSE
URL: https://purrr.tidyverse.org/, https://github.com/tidyverse/purrr
BugReports: https://github.com/tidyverse/purrr/issues
Depends: R (>= 4.0)
Imports: cli (>= 3.6.1), lifecycle (>= 1.0.3), magrittr (>= 1.5.0),
        rlang (>= 1.1.1), vctrs (>= 0.6.3)
Suggests: covr, dplyr (>= 0.7.8), httr, knitr, lubridate, rmarkdown,
        testthat (>= 3.0.0), tibble, tidyselect
LinkingTo: cli
VignetteBuilder: knitr
Biarch: true
Config/build/compilation-database: true
Config/Needs/website: tidyverse/tidytemplate, tidyr
Config/testthat/edition: 3
Config/testthat/parallel: TRUE
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-01-29 21:33:56 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Lionel Henry [aut],
  Posit Software, PBC [cph, fnd] (03wc8by49)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2025-02-05 18:00:01 UTC

=== debian/changelog ===
r-cran-purrr (1.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Feb 2025 15:11:01 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-magrittr,
                r-cran-rlang (>= 1.1.1),
                r-cran-vctrs (>= 0.6.3)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-purrr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-purrr.git
 Homepage: https://cran.r-project.org/package=purrr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-dplyr (>= 0.7.8),
        r-cran-httr,
        r-cran-knitr,
        r-cran-lubridate,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble,
        r-cran-tidyselect
Restrictions: allow-stderr
